Tenants - Create
Starts an asynchronous operation to create an Azure Sphere tenant.
POST https://prod.core.sphere.azure.net/v2/tenants/create
Request Body
| Name | Type | Description |
|---|---|---|
| DeviceId |
string |
The ID of the device being used to authorize this tenant creation. This device must not already be claimed into any tenant. This is a required field. |
| TenantFriendlyName |
string |
The name of the tenant - this will be displayed to users and can be used to disambiguate for users who have multiple Azure Sphere tenants. This is a required field. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully started the operation. |
Definitions
| Name | Description |
|---|---|
|
Error |
|
| Operation | |
|
Tenant |
ErrorResponse
| Name | Type | Description |
|---|---|---|
| Code |
enum:
|
Gets the code. |
| Message |
string |
Gets the human readable error message. |
Operation
| Name | Type | Description |
|---|---|---|
| CompletedDateUTC |
string |
Gets the date in UTC that the operation completed. |
| CreatedDateUTC |
string |
Gets the operation creation date in UTC. |
| DetailsLocation |
string |
Gets the location for getting details of the operation. |
| Error | ||
| OperationId |
string |
Gets the unique operation identifier. |
| OperationType |
enum:
|
Gets the operation type identifier. |
| ResourceLocation |
string |
Gets the location of resources created during the execution of the operation. |
| StartedDateUTC |
string |
Gets the date in UTC that the operation started processing. |
| State |
enum:
|
Gets the state of the operation. |
| TenantId |
string |
Gets the tenant identifier. |
TenantCreationRequest
| Name | Type | Description |
|---|---|---|
| DeviceId |
string |
The ID of the device being used to authorize this tenant creation. This device must not already be claimed into any tenant. This is a required field. |
| TenantFriendlyName |
string |
The name of the tenant - this will be displayed to users and can be used to disambiguate for users who have multiple Azure Sphere tenants. This is a required field. |